regina::detail::XMLTriangulationReaderBase< dim >::GroupPresentationPropertyReader Class Reference
Implementation details

Internal class that reads a group presentation property. More...

`#include <triangulation/detail/xmltrireader.h>`

Inheritance diagram for regina::detail::XMLTriangulationReaderBase< dim >::GroupPresentationPropertyReader:

## Public Types

typedef Property< GroupPresentation, StoreManagedPtr > | PropType
| The type of the property currently being read. More...

## Public Member Functions

| GroupPresentationPropertyReader (PropType &prop)
| Creates a new reader that stores its results in the given triangulation property. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

### template<int dim>
class regina::detail::XMLTriangulationReaderBase< dim >::GroupPresentationPropertyReader

Internal class that reads a group presentation property.

The documentation for this class was generated from the following file:

- triangulation/detail/xmltrireader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).